cereal::traits::detail::shared_from_this_wrapper Struct Reference

## Static Public Member Functions

template<class U >
static auto() | check (U const &t) -> decltype(::cereal::access::shared_from_this(t), std::true_type())
static auto() | check (...) -> decltype(std::false_type())
template<class U >
static auto | get (U const &t) -> decltype(t.shared_from_this())

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/details/traits.hpp